class ListNode(object):
    def __init__(self, val=0, _next=None, pre=None):
        self.val = val
        self.next = _next
        self.pre = pre

    def __str__(self):
        res_str = ''
        tmp = self
        while tmp:
            res_str += str(tmp.val)
            if tmp.next:
                res_str += ","
            tmp = tmp.next
        return res_str


def get_node(arr: list):
    dummy = ListNode(0)
    curr = dummy
    for v in arr:
        curr.next = ListNode(v)
        curr = curr.next
    return dummy.next


def get_arr(node: ListNode):
    res_arr = []
    while node:
        res_arr.append(node.val)
        node = node.next
    return res_arr


if __name__ == '__main__':
    head = get_node([1, 2, 3, 4, 5])
    print(head)
