import pandas as pd

# 读取Excel文件
excel_file = pd.ExcelFile('/Users/alvin/Downloads/元数据字段级记录.xlsx')

# 读取指定表格名称的数据
df = pd.read_excel(excel_file, '元数据字段级记录')

# 输出表头名称
print(list(df.columns))

# 输出指定表头的去重数据
# 根据多个字段去重
df = df.drop_duplicates(subset=['数据表中文名', '字段名称'])

# 将新的表格存入tmp.xlsx文件中
df.to_excel('tmp.xlsx', index=False)
